Package org.drinkless.tdlib

# Class TdApi.PollOption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PollOption

Enclosing class:
  TdApi

public static class TdApi.PollOption extends TdApi.Object
Describes one answer option of a poll.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isBeingChosen`
  True, if the option is being chosen by a pending setPollAnswer request.
  `boolean`
  `isChosen`
  True, if the option was chosen by the user.
  `TdApi.FormattedText`
  `text`
  Option text; 1-100 characters.
  `int`
  `votePercentage`
  The percentage of votes for this option; 0-100.
  `int`
  `voterCount`
  Number of voters for this option, available only for closed or voted polls.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PollOption()`
  Describes one answer option of a poll.
  `PollOption(TdApi.FormattedText text, int voterCount, int votePercentage, boolean isChosen, boolean isBeingChosen)`
  Describes one answer option of a poll.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Option text; 1-100 characters. Only custom emoji entities are allowed.

  - ### voterCount

    public int voterCount
    Number of voters for this option, available only for closed or voted polls.

  - ### votePercentage

    public int votePercentage
    The percentage of votes for this option; 0-100.

  - ### isChosen

    public boolean isChosen
    True, if the option was chosen by the user.

  - ### isBeingChosen

    public boolean isBeingChosen
    True, if the option is being chosen by a pending setPollAnswer request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PollOption

    public PollOption()
    Describes one answer option of a poll.

  - ### PollOption

    public PollOption(TdApi.FormattedText text, int voterCount, int votePercentage, boolean isChosen, boolean isBeingChosen)
    Describes one answer option of a poll.
    Parameters:
      `text` - Option text; 1-100 characters. Only custom emoji entities are allowed.
      `voterCount` - Number of voters for this option, available only for closed or voted polls.
      `votePercentage` - The percentage of votes for this option; 0-100.
      `isChosen` - True, if the option was chosen by the user.
      `isBeingChosen` - True, if the option is being chosen by a pending setPollAnswer request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR